# RPM specfile for the WriteRsyncBackupToTape package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)WriteRsyncBackupToTape.spec	1.10.1.1 11/20/19 20:27:08
# Use SCCS codes to produce version and release numbers (codes surrounded by percent signs)
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name WriteRsyncBackupToTape
%define version 1.10
%define release 1.1

Summary: Write to tape a backup produced by RsyncBackup
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/WriteRsyncBackupToTape-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

BuildArchitectures: noarch


License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
Requires: ksh coreutils hdparm util-linux mt-st findutils tar sed
%else
Requires: pdksh coreutils hdparm util-linux mt-st findutils tar sed
%endif
BuildRequires: make sed

# This is only needed if we want to build a relocatable RPM:
#Prefix: %%{_prefix}

%description
Write to tape backups for machines produced by RsyncBackup

%prep
%setup -q

%build
%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/WriteRsyncBackupToTape
%doc Hacks README Contributors License contrib/*
%{_mandir}/man*/WriteRsyncBackupToTape.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Mon Dec 29 2008 Alain Williams <addw@phcomp.co.uk>
- First into RPM
